> ## Documentation Index
> Fetch the complete documentation index at: https://mintlify.com/cheahjs/free-llm-api-resources/llms.txt
> Use this file to discover all available pages before exploring further.

# Google AI Studio

> Free access to Gemini and Gemma models with generous rate limits

<Note>
  Google AI Studio provides free access to Gemini and Gemma models for prototyping and development.
</Note>

## Overview

Google AI Studio offers free API access to Google's latest Gemini and Gemma models with generous rate limits suitable for development and experimentation.

<Warning>
  **Data Usage Policy**: Data is used for training when used outside of the UK, Switzerland, EEA, or EU.
</Warning>

## Rate Limits

Each model has specific rate limits:

| Model Name            | Tokens/Minute | Requests/Day | Requests/Minute |
| --------------------- | ------------- | ------------ | --------------- |
| Gemini 3 Flash        | 250,000       | 20           | 5               |
| Gemini 3.1 Flash-Lite | 250,000       | 500          | 15              |
| Gemini 2.5 Flash      | 250,000       | 20           | 5               |
| Gemini 2.5 Flash-Lite | 250,000       | 20           | 10              |
| Gemma 3 27B Instruct  | 15,000        | 14,400       | 30              |
| Gemma 3 12B Instruct  | 15,000        | 14,400       | 30              |
| Gemma 3 4B Instruct   | 15,000        | 14,400       | 30              |
| Gemma 3 1B Instruct   | 15,000        | 14,400       | 30              |

## Available Models

### Gemini Models

<CardGroup cols={2}>
  <Card title="Gemini 3 Flash" icon="bolt">
    Fast, efficient model with 250K tokens/minute
  </Card>

  <Card title="Gemini 3.1 Flash-Lite" icon="feather">
    Lightweight variant with higher request limits
  </Card>

  <Card title="Gemini 2.5 Flash" icon="sparkles">
    Previous generation Flash model
  </Card>

  <Card title="Gemini 2.5 Flash-Lite" icon="star">
    Lightweight 2.5 generation model
  </Card>
</CardGroup>

### Gemma Models

<Info>
  All Gemma models share the same rate limits: 15,000 tokens/minute, 14,400 requests/day, and 30 requests/minute.
</Info>

* **Gemma 3 27B Instruct** - Largest open model
* **Gemma 3 12B Instruct** - Balanced performance
* **Gemma 3 4B Instruct** - Efficient smaller model
* **Gemma 3 1B Instruct** - Ultra-compact model

## API Usage

<CodeGroup>
  ```python Python theme={null}
  import google.generativeai as genai

  genai.configure(api_key="YOUR_API_KEY")

  model = genai.GenerativeModel('gemini-2.5-flash')
  response = model.generate_content('Hello, how are you?')

  print(response.text)
  ```

  ```javascript JavaScript theme={null}
  import { GoogleGenerativeAI } from '@google/generative-ai';

  const genAI = new GoogleGenerativeAI(process.env.API_KEY);
  const model = genAI.getGenerativeModel({ model: 'gemini-2.5-flash' });

  const result = await model.generateContent('Hello, how are you?');
  console.log(result.response.text());
  ```

  ```bash cURL theme={null}
  curl "https://generativelanguage.googleapis.com/v1beta/models/gemini-2.5-flash:generateContent?key=YOUR_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '{
      "contents": [{
        "parts": [{
          "text": "Hello, how are you?"
        }]
      }]
    }'
  ```
</CodeGroup>

## Getting Started

<Steps>
  <Step title="Visit Google AI Studio">
    Go to [aistudio.google.com](https://aistudio.google.com)
  </Step>

  <Step title="Sign in with Google">
    Use your Google account to sign in
  </Step>

  <Step title="Generate API Key">
    Create an API key from the dashboard
  </Step>

  <Step title="Start Building">
    Use the API key to make requests to Gemini and Gemma models
  </Step>
</Steps>

## Privacy Considerations

<Warning>
  If you're using Google AI Studio from outside the UK, Switzerland, EEA, or EU, be aware that your data may be used for training purposes. For production applications with stricter privacy requirements, consider using Google Cloud Vertex AI instead.
</Warning>

## Additional Resources

<CardGroup cols={2}>
  <Card title="Google AI Studio" icon="browser" href="https://aistudio.google.com">
    Access the web interface
  </Card>

  <Card title="Documentation" icon="book" href="https://ai.google.dev/docs">
    Official API documentation
  </Card>
</CardGroup>
